Subject: Re: Git, Parrot, Perl6, Rakudo for G4 MAC

From: Jakub Narebski <[email-masked]>
Date: Tue, 15 Nov 2011 10:12:11 -0800 (PST)

Hilco Wijbenga <[email-masked]> writes:
> On 15 November 2011 02:36, Greg <[email-masked]> wrote:

> > Could someone please assist me in locating the resources to "GIT"
> >  this stuff going on a G4 MAC PPC?  I
> > keep getting weird bugs.
> > Need me to be more explicit?  Ok - it says gcc v3.3 isn't compatible, and a
> > bunch of other sheet!

Yes, you need to be more explicit.  Please copy'n'paste exact error
messages that you get compiling Git.

> 
> GCC 3.3 is from May 2003, I suggest you upgrade to a more recent GCC
> (probably 4.6).

I don't have experience compiling Git for PPC, but on i386 I can
compile Git without problems with gcc 4.0.2.
 
> > I already have Perl5.10.1 working fine, and performing
> > numerous marvelous tasks, so I (perhaps
> > mistakenly) thought it would be an easy addition.
> 
> Perl 5.10.1 is from August 2009. Presumably less of a problem but,
> again, you should probably upgrade to something more recent.

Git requires Perl version 5.8 at least, so you should not have any
problems here.
 
-- 
Jakub Narębski